//
//  Click.mm
//  iDIA
//
//  Created by Charlie Forkish on 3/18/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import "Click.h"
#import "AudioManager.h"

@implementation Click

@synthesize isOn, lastClick, timePerClick;

- (id) init
{
	if(self = [super init])
	{
		isOn = NO;
	}
	
	return self;
}

- (void) start
{
	isOn = YES;
	lastClick = -5; // * [[AudioManager sharedManager].midiPlayer secondsPerBeat];
}
- (void) click
{
	lastClick += timePerClick;
	//NSLog(@"click: %f", lastClick);
}

- (void) setTimePerClick:(float)newTimePerClick
{
	timePerClick = newTimePerClick;
	NSLog(@"time per click: %f", timePerClick);
}

- (long double) getNextMeasure:(long double)t
{
	return (fmod(t, 4 * timePerClick) == 0) ? t : t + (4 * timePerClick - fmod(t, 4 * timePerClick) );
}

- (long double) getNextClick:(long double)t
{
	return (fmod(t, timePerClick) == 0) ? t : t + (timePerClick - fmod(t, timePerClick) );
}

- (BOOL)isReadyToClick:(long double)t
{
	if(isOn && t > lastClick + timePerClick){
		[self click];
		return YES;
	}
	return NO;
}

- (BOOL) isMeasure:(long double)t
{
	if(fmod(fabs(t), 4 * timePerClick) == 0) return YES; // && fmod(fabs(t), 4 * timePerClick) < .05) return YES;
	return NO;
}


@end
