//
//  RecordingManager.h
//  iDIA
//
//  Created by Charlie Forkish on 3/7/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AudioManager.h" // this is just for definitions of "BUFFER_SIZE" and "MY_SRATE"
#import "Stk.h"
#import "FileWrite.h"
#import "FileRead.h"

using namespace stk;

@interface RecordingManager : NSObject {
	
	BOOL isRecording, isPlaying;
	BOOL recordingArmed, playbackArmed;
	FileWrite * recorder;
	FileRead * reader;
	// StkFrames objects needed to pass SAMPLE buffers into recorder and reader
	StkFrames * recordBuffer;
	StkFrames * readBuffer;
	unsigned long fileSize, fileIndex;
	
}

@property(nonatomic, readonly) BOOL isRecording, isPlaying, recordingArmed, playbackArmed;

- (void) armRecording;
- (void) armPlayback;
- (void) startRecording;
- (void) stopRecording;
- (void) startPlayback;
- (void) stopPlayback;


- (void) recordBufferIn:(SAMPLE*)buffer;
- (void) playBuffer:(SAMPLE*)buffer;

@end
