//
//  VisualObject.h
//  VisualizeMe
//
//  Created by Charlie Forkish on 5/17/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface VisualObject : NSObject {
	
	CGPoint position;
	CGPoint velocity;
	float gain;
	CGFloat size;

}

@property(nonatomic, readonly) CGPoint position;
@property(nonatomic, readonly) CGPoint velocity;
@property(nonatomic, readonly) float gain;
@property(nonatomic) CGFloat size;


- (void) stepInBounds:(NSRect)bounds;
- (void) setPosition:(CGPoint)newPosition;
- (void) setVelocity:(CGPoint)newVelocity;
- (void) addVelocity:(CGPoint)newVelocity;
- (void) setGain:(float)newGain;

@end
